Package Details: casperjs-git 20150602-3

Git Clone URL: (read-only)
Package Base: casperjs-git
Description: Navigation scripting & testing utility for PhantomJS and SlimerJS
Upstream URL:
Licenses: MIT
Conflicts: casperjs
Provides: casperjs
Submitter: bmpvieira
Maintainer: dseg
Last Packager: dseg
Votes: 16
Popularity: 0.000627
First Submitted: 2012-12-23 23:38
Last Updated: 2015-08-17 11:21

Dependencies (6)

Required by (0)

Sources (1)

Latest Comments

dseg commented on 2015-08-17 11:23

@tuxflo Thank you for the comment, updated the PKGBUILD.

dseg commented on 2015-08-17 11:22

@tuxflo Thank your for the comment, updated the PKGBUILD.

tuxflo commented on 2015-08-16 11:14

I was not able to build:
=> Building man pages...
make: Entering directory '/tmp/yaourt-tmp-tuxflo/aur-casperjs-git/src/casperjs/docs'
sphinx-build . _build
make: sphinx-build: Command not found
Makefile:8: recipe for target 'build' failed
make: *** [build] Error 127

after installing python-sphinx (not python2-sphinx) the process finished successfully, so maybe replace python2-sphinx with python-sphinx?

dseg commented on 2015-07-27 07:22

Thank you very much!

mbrown commented on 2015-07-25 22:16

A little bugfix below.


Fix brace expansion (must be unquoted):

diff --git a/PKGBUILD b/PKGBUILD
index c78edb2..4926b4e 100644
@@ -49,7 +49,7 @@ package() {

msg 'Installing...'
install -dm 755 "$pkgdir/opt/$_pkgname"
- install -dm 755 "$pkgdir/{usr/share,opt}/$_pkgname"
+ install -dm 755 $pkgdir/{usr/share,opt}/$_pkgname
find . -mindepth 1 -maxdepth 1 -exec \
cp -dpr --no-preserve=ownership '{}' "$pkgdir/opt/$_pkgname" \;

dseg commented on 2015-07-17 14:40

Thanks, it isn't intentional, just forgot to update.

alexanderbauer commented on 2015-07-02 13:09

It looks like the PKGBUILD doesn't require phantomjs. Is this intentional?

dseg commented on 2015-06-16 06:54

I've upgradeded from
casperjs 1.0.4 and phantomjs-1.8 (both available from AUR)
to casperjs-git(this one) and phantomjs 2.0.0 (available from the official archlinux repo).
All of my custom casperjs scripts works well with these versions.

atweiden commented on 2015-01-20 08:43

Made an updated version here:

robbyc commented on 2014-09-04 15:59

Please disregard my previous post.... There was a work firewall in place blocking my attempts. So no need to change the PKGBUILD script.

All comments